com.trendmicro.ds.platform.rest.object.monitoring

## Class TenantAggregateHostProtectionElement

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.monitoring.TenantAggregateHostProtectionElement

-     public class TenantAggregateHostProtectionElement
      extends java.lang.Object

  A structure containing information about how much time a tenant's hosts have been protected for.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TenantAggregateHostProtectionElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAggregateProtection()` The total amount of protection time received over the requested time period, in seconds.
    `long` | `getCumulativeHours()` The cumulative number of hours (partial hours rounded up) of protection the tenant has received over the tenant's lifetime Note that this value is stored by Deep Security Manager and is only updated periodically, that is, it is not computed for every API call This means that if the period over which protection information is requested starts before the tenant was created and ends at the current time, this value may be less than the value returned for the aggregate protection time.
    `long` | `getCumulativeSeconds()` The cumulative number of seconds of protection the tenant has received over the tenant's lifetime Note that this value is stored by Deep Security Manager and is only updated periodically, that is, it is not computed for every API call This means that if the period over which protection information is requested starts before the tenant was created and ends at the current time, this value may be less than the value returned for the aggregate protection time.
    `java.lang.Integer` | `getTenantID()` The internal ID of the tenant.
    `java.lang.String` | `getTenantName()` The name of the tenant.
    `void` | `setAggregateProtection(long aggregateProtection)`
    `void` | `setCumulativeHours(long cumulativeHours)`
    `void` | `setCumulativeSeconds(long cumulativeSeconds)`
    `void` | `setTenantID(java.lang.Integer tenantID)`
    `void` | `setTenantName(java.lang.String tenantName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TenantAggregateHostProtectionElement

          public TenantAggregateHostProtectionElement()

  - ### Method Detail

    - #### getTenantName

          public java.lang.String getTenantName()

      The name of the tenant.

    - #### setTenantName

          public void setTenantName(java.lang.String tenantName)

    - #### getTenantID

          public java.lang.Integer getTenantID()

      The internal ID of the tenant.

    - #### setTenantID

          public void setTenantID(java.lang.Integer tenantID)

    - #### getAggregateProtection

          public long getAggregateProtection()

      The total amount of protection time received over the requested time period, in seconds.

    - #### setAggregateProtection

          public void setAggregateProtection(long aggregateProtection)

    - #### getCumulativeSeconds

          public long getCumulativeSeconds()

      The cumulative number of seconds of protection the tenant has received over the tenant's lifetime
      Note that this value is stored by Deep Security Manager and is only updated periodically, that is, it is not computed for every API call
      This means that if the period over which protection information is requested starts before the tenant was created and ends at the current time, this value may be less than the value returned for the aggregate protection time.

    - #### setCumulativeSeconds

          public void setCumulativeSeconds(long cumulativeSeconds)

    - #### getCumulativeHours

          public long getCumulativeHours()

      The cumulative number of hours (partial hours rounded up) of protection the tenant has received over the tenant's lifetime
      Note that this value is stored by Deep Security Manager and is only updated periodically, that is, it is not computed for every API call
      This means that if the period over which protection information is requested starts before the tenant was created and ends at the current time, this value may be less than the value returned for the aggregate protection time.

    - #### setCumulativeHours

          public void setCumulativeHours(long cumulativeHours)

Copyright © 2015 Trend Micro Inc. All Rights Reserved.